Bug 24570 - 3.3.2 window system crashes with XML support modules
3.3.2 window system crashes with XML support modules
Product: xml
Classification: Unclassified
Component: Code
PC Windows XP
: P1 (vote)
: 3.x
Assigned To: _ lkramolis
Depends on: 19855
  Show dependency treegraph
Reported: 2002-06-09 12:54 UTC by vlcak
Modified: 2003-07-02 08:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT

IDE log for the IDE session in which the crash happened (99.01 KB, text/plain)
2002-06-09 12:58 UTC, vlcak
Proposed patch (not fix, just hack). (3.76 KB, patch)
2002-06-12 20:23 UTC, _ lkramolis
Details | Diff
Final patch (including increased versions). (11.12 KB, patch)
2002-06-18 15:59 UTC, _ lkramolis
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vlcak 2002-06-09 12:54:32 UTC
This happens when I install XML modules on a fresh 3.3.2 
IDE and open a project containing XML files. From then on 
I get exceptions every time I interact with the IDE (click 
a tree node, open window,... anything)
It stops when I disable the XML modules.
Comment 1 vlcak 2002-06-09 12:58:19 UTC
Created attachment 6164 [details]
IDE log for the IDE session in which the crash happened
Comment 2 _ pkuzel 2002-06-09 14:50:45 UTC
It is already fixed in trunk builds (try Q-build).

We need to investigate whether to backport it into 3.3.2 (we can the
module is at AU) while 3.4 beta is so close.
Comment 3 _ lkramolis 2002-06-12 15:39:28 UTC
This depends on issue #19855 which was fixed in 3.4 dev builds and
should be also backported to 3.3.2.

I will try to investigate if it is possible to reduce number of
Comment 4 _ lkramolis 2002-06-12 20:23:55 UTC
Created attachment 6237 [details]
Proposed patch (not fix, just hack).
Comment 5 _ lkramolis 2002-06-12 20:30:55 UTC
I have backported Petr's changes in main trunk and also I have added
other code code to prevent NPE. It is not fix, it is hack because of
problem in Core (issue #19855) so it should not open not-closeable

Opened question still is if/when it will be integrated in release33
branch, i.e. NetBeans 3.3.2 AutoUpdate / Sun ONE Studion 4 XML
modules. I am not able to make such decision.
Comment 6 _ lkramolis 2002-06-18 15:59:58 UTC
Created attachment 6307 [details]
Final patch (including increased versions).
Comment 7 _ lkramolis 2002-06-18 16:01:24 UTC
Fixed version is available at Update Center now.
Comment 8 Martin Schovanek 2002-07-24 12:08:41 UTC
Comment 9 Quality Engineering 2003-07-02 08:41:11 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo